org.jboss.resteasy.plugins.server.servlet

## Class ServletUtil

- java.lang.Object
- - org.jboss.resteasy.plugins.server.servlet.ServletUtil

-     public class ServletUtil
      extends Object

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ServletUtil()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static List<MediaType>` | `extractAccepts(MultivaluedMap<String,String> requestHeaders)`
    `static ResteasyHttpHeaders` | `extractHttpHeaders(javax.servlet.http.HttpServletRequest request)`
    `static List<String>` | `extractLanguages(MultivaluedMap<String,String> requestHeaders)`
    `static MultivaluedMap<String,String>` | `extractRequestHeaders(javax.servlet.http.HttpServletRequest request)`
    `static ResteasyUriInfo` | `extractUriInfo(javax.servlet.http.HttpServletRequest request, String servletPrefix)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ServletUtil

          public ServletUtil()

  - ### Method Detail

    - #### extractUriInfo

          public static ResteasyUriInfo extractUriInfo(javax.servlet.http.HttpServletRequest request,
                                       String servletPrefix)

    - #### extractHttpHeaders

          public static ResteasyHttpHeaders extractHttpHeaders(javax.servlet.http.HttpServletRequest request)

    - #### extractAccepts

          public static List<MediaType> extractAccepts(MultivaluedMap<String,String> requestHeaders)

    - #### extractLanguages

          public static List<String> extractLanguages(MultivaluedMap<String,String> requestHeaders)

    - #### extractRequestHeaders

          public static MultivaluedMap<String,String> extractRequestHeaders(javax.servlet.http.HttpServletRequest request)

Copyright © 2014. All Rights Reserved.